UnexportMainSymbol (Gradle API 9.6.1)
Description: declaration: package: org.gradle.language.nativeplatform.tasks, class: UnexportMainSymbol

Package org.gradle.language.nativeplatform.tasks

# Class UnexportMainSymbol

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.language.nativeplatform.tasks.UnexportMainSymbol

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@CacheableTask public abstract class UnexportMainSymbol extends DefaultTask
Unexports the `main` entry point symbol in an object file, so the object file can be linked with an executable.

Since:
  4.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnexportMainSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ExecOperations`
  `getExecOperations()`
  `abstract ConfigurableFileCollection`
  `getObjects()`
  The object files to relocate.
  `abstract DirectoryProperty`
  `getOutputDirectory()`
  Location of modified object files.
  `FileCollection`
  `getRelocatedObjects()`
  Collection of modified object files.
  `protected void`
  `unexport(InputChanges inputChanges)`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### UnexportMainSymbol

    public UnexportMainSymbol()

- ## Method Details

  - ### getObjects

    @InputFiles @SkipWhenEmpty @IgnoreEmptyDirectories @PathSensitive(NAME_ONLY) public abstract ConfigurableFileCollection getObjects()
    The object files to relocate.
    Since:
      4.5

  - ### getRelocatedObjects

    @Internal public FileCollection getRelocatedObjects()
    Collection of modified object files.
    Since:
      4.8

  - ### getOutputDirectory

    @OutputDirectory public abstract DirectoryProperty getOutputDirectory()
    Location of modified object files.
    Since:
      4.5

  - ### unexport

    protected void unexport(InputChanges inputChanges)

  - ### getExecOperations

    @Inject protected abstract ExecOperations getExecOperations()